# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/WebBrowserSpellCheckingPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WebBrowserSpellCheckingPage(object):
    def setupUi(self, WebBrowserSpellCheckingPage):
        WebBrowserSpellCheckingPage.setObjectName("WebBrowserSpellCheckingPage")
        WebBrowserSpellCheckingPage.resize(499, 608)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(WebBrowserSpellCheckingPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=WebBrowserSpellCheckingPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line17 = QtWidgets.QFrame(parent=WebBrowserSpellCheckingPage)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setObjectName("line17")
        self.verticalLayout_3.addWidget(self.line17)
        self.groupBox = QtWidgets.QGroupBox(parent=WebBrowserSpellCheckingPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.spellCheckEnabledCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.spellCheckEnabledCheckBox.setObjectName("spellCheckEnabledCheckBox")
        self.verticalLayout.addWidget(self.spellCheckEnabledCheckBox)
        self.noLanguagesLabel = QtWidgets.QLabel(parent=self.groupBox)
        self.noLanguagesLabel.setObjectName("noLanguagesLabel")
        self.verticalLayout.addWidget(self.noLanguagesLabel)
        self.spellCheckLanguagesList = QtWidgets.QListWidget(parent=self.groupBox)
        self.spellCheckLanguagesList.setDragEnabled(True)
        self.spellCheckLanguagesList.setDragDropMode(QtWidgets.QAbstractItemView.DragDropMode.InternalMove)
        self.spellCheckLanguagesList.setAlternatingRowColors(True)
        self.spellCheckLanguagesList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.MultiSelection)
        self.spellCheckLanguagesList.setObjectName("spellCheckLanguagesList")
        self.verticalLayout.addWidget(self.spellCheckLanguagesList)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=WebBrowserSpellCheckingPage)
        self.groupBox_2.setMaximumSize(QtCore.QSize(16777215, 150))
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.spellCheckDictionaryDirectoriesEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox_2)
        self.spellCheckDictionaryDirectoriesEdit.setTabChangesFocus(True)
        self.spellCheckDictionaryDirectoriesEdit.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.spellCheckDictionaryDirectoriesEdit.setReadOnly(True)
        self.spellCheckDictionaryDirectoriesEdit.setObjectName("spellCheckDictionaryDirectoriesEdit")
        self.verticalLayout_2.addWidget(self.spellCheckDictionaryDirectoriesEdit)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.unencryptedCheckBox = QtWidgets.QCheckBox(parent=WebBrowserSpellCheckingPage)
        self.unencryptedCheckBox.setObjectName("unencryptedCheckBox")
        self.verticalLayout_3.addWidget(self.unencryptedCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.manageDictionariesButton = QtWidgets.QPushButton(parent=WebBrowserSpellCheckingPage)
        self.manageDictionariesButton.setObjectName("manageDictionariesButton")
        self.horizontalLayout.addWidget(self.manageDictionariesButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem2)

        self.retranslateUi(WebBrowserSpellCheckingPage)
        QtCore.QMetaObject.connectSlotsByName(WebBrowserSpellCheckingPage)
        WebBrowserSpellCheckingPage.setTabOrder(self.spellCheckEnabledCheckBox, self.spellCheckLanguagesList)
        WebBrowserSpellCheckingPage.setTabOrder(self.spellCheckLanguagesList, self.spellCheckDictionaryDirectoriesEdit)
        WebBrowserSpellCheckingPage.setTabOrder(self.spellCheckDictionaryDirectoriesEdit, self.unencryptedCheckBox)
        WebBrowserSpellCheckingPage.setTabOrder(self.unencryptedCheckBox, self.manageDictionariesButton)

    def retranslateUi(self, WebBrowserSpellCheckingPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("WebBrowserSpellCheckingPage", "<b>Configure Web Browser Spell Checking</b>"))
        self.groupBox.setTitle(_translate("WebBrowserSpellCheckingPage", "Spell Check Options"))
        self.spellCheckEnabledCheckBox.setToolTip(_translate("WebBrowserSpellCheckingPage", "Select to enable spell checking for editable parts"))
        self.spellCheckEnabledCheckBox.setText(_translate("WebBrowserSpellCheckingPage", "Enable Spell Checking"))
        self.noLanguagesLabel.setText(_translate("WebBrowserSpellCheckingPage", "No languages found"))
        self.groupBox_2.setTitle(_translate("WebBrowserSpellCheckingPage", "Dictionary Directories"))
        self.unencryptedCheckBox.setToolTip(_translate("WebBrowserSpellCheckingPage", "<p>Select to force the use of <b>http://</b> instead of <b>https://</b>.</p>"))
        self.unencryptedCheckBox.setText(_translate("WebBrowserSpellCheckingPage", "Enforce unencrypted downloads"))
        self.manageDictionariesButton.setToolTip(_translate("WebBrowserSpellCheckingPage", "Press to open a dialog to manage spell checking dictionaries"))
        self.manageDictionariesButton.setText(_translate("WebBrowserSpellCheckingPage", "Manage Dictionaries..."))
